> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post lookupssearch

> The Search Code Table endpoint provides a list of views of Code Table Data defined within the
Agilquest.com System based on the Code Table Criteria value POSTed to the endpoint.  The returned collection of Code Table views will
include a field for the total count of Code Table data that match the criteria, with an array of Code Table views that
matches the **start** index and **max** value provided by the criteria.



This operation requires a Code Table Criteria value.

This operation returns a **Code Table Results** with the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /lookups/search
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /lookups/search:
    post:
      tags:
        - LookupService
      description: >-
        The Search Code Table endpoint provides a list of views of Code Table
        Data defined within the

        Agilquest.com System based on the Code Table Criteria value POSTed to
        the endpoint.  The returned collection of Code Table views will

        include a field for the total count of Code Table data that match the
        criteria, with an array of Code Table views that

        matches the **start** index and **max** value provided by the criteria.




        This operation requires a Code Table Criteria value.


        This operation returns a **Code Table Results** with the following
        fields:
      operationId: searchCodeTable
      parameters: []
      requestBody:
        description: ': CodeTableCriteria to use for search.'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  lookupType: ...
                  sortAscending: true
                  searchName: ...
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/CodeTableCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    results:
                      - languageTagKey: ...
                        name: ...
                        sysid: 12345
                      - languageTagKey: ...
                        name: ...
                        sysid: 12345
                    count: 12345
                    hasAdditional: true
                    views:
                      - {}
                      - {}
                    nextStartRow: 12345
              schema:
                $ref: '#/components/schemas/CodeTableResults'
          description: CodeTableResult  with CodeTableData values.
components:
  schemas:
    CodeTableCriteria:
      type: object
      title: CodeTableCriteria
      required:
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            lookupType:
              type: string
            sortAscending:
              type: boolean
            searchName:
              type: string
      example:
        lookupType: ...
        sortAscending: true
        searchName: ...
        startRow: 12345
        maxRows: 12345
    CodeTableResults:
      type: object
      title: CodeTableResults
      allOf:
        - $ref: '#/components/schemas/ResultsBase'
        - properties:
            results:
              type: array
              items:
                $ref: '#/components/schemas/CodeTableData'
      example:
        results:
          - languageTagKey: ...
            name: ...
            sysid: 12345
          - languageTagKey: ...
            name: ...
            sysid: 12345
        count: 12345
        hasAdditional: true
        views:
          - {}
          - {}
        nextStartRow: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    ResultsBase:
      type: object
      title: ResultsBase
      required:
        - count
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            count:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
            views:
              type: array
              items:
                $ref: '#/components/schemas/ViewBase'
            nextStartRow:
              type: integer
              format: int32
      example:
        count: 12345
        hasAdditional: true
        views:
          - {}
          - {}
        nextStartRow: 12345
    CodeTableData:
      type: object
      title: CodeTableData
      required:
        - sysid
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            languageTagKey:
              type: string
            name:
              type: string
            sysid:
              type: integer
              format: int32
      example:
        languageTagKey: ...
        name: ...
        sysid: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````